package jp.sourceforge.asclipse.as3.adapter;

import jp.sourceforge.asclipse.as3.element.AS3Element;

/**
 * {@link AS3Element}を拡張するアダプタのインターフェース。
 * @author shin1ogawa
 */
public interface IAS3ElementAdapter {

	/**
	 * 拡張対象の{@link AS3Element}を設定する。
	 * @param element
	 */
	void connect(AS3Element element);

	/**
	 * {@link AS3Element}から切り離す。
	 */
	void disconnect();
}
